Skip to main content
GET
Get Customer Group

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

customergroupId
string<uuid>
required

The ID of the customer group to return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the customer group for the given ID.

Model Class: CustomerGroup

id
string<uuid>

Unique internal ID of the customer group.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

The name of the customer group.

isDefault
boolean

Indicates if the customer group is the default group. Only one group can be selected as the default group.

discount
number<decimal>

The discounted percentage for the customer group.

isNetPrice
boolean

Indicates if the customer group sees the net price in the online shop.